"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FilledCard = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
var _filledCard = require("./filled-card.styles");
var _useTheme = require("../../../theme/useTheme.hook");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const FilledCard = _ref => {
  let {
    style,
    children,
    ...props
  } = _ref;
  const {
    surfaceContainer
  } = (0, _useTheme.useTheme)();
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [_filledCard.styles.container, {
      backgroundColor: surfaceContainer.backgroundHighest
    }, style]
  }, props), children);
};
exports.FilledCard = FilledCard;
//# sourceMappingURL=FilledCard.component.js.map