"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BaseChip = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _baseChip = require("./base-chip.styles");
var _useTypography = require("../../../typography/useTypography.component");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const BaseChip = _ref => {
  let {
    label,
    leadingIcon,
    trailingIcon,
    labelStyle,
    style,
    ...props
  } = _ref;
  const {
    labelLarge
  } = (0, _useTypography.useTypography)();
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    style: [_baseChip.styles.container, style],
    hitSlop: 8
  }, props), leadingIcon, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [[_baseChip.styles.label, labelLarge, labelStyle]]
  }, label), trailingIcon);
};
exports.BaseChip = BaseChip;
//# sourceMappingURL=BaseChip.component.js.map