"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FilterChipLeadingIcon = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
var _icons = require("../../../icons");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const FilterChipLeadingIcon = _ref => {
  let {
    size,
    color,
    selected,
    selectedColor,
    customLeadingIcon,
    leadingIconProps = {}
  } = _ref;
  const CustomLeadingIcon = customLeadingIcon;
  const renderUnselectedLeadingIcon = () => CustomLeadingIcon ? /*#__PURE__*/_react.default.createElement(CustomLeadingIcon, _extends({
    size: size,
    color: color
  }, leadingIconProps)) : null;
  return /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    entering: _reactNativeReanimated.FadeIn,
    exiting: _reactNativeReanimated.FadeOut
  }, selected ? /*#__PURE__*/_react.default.createElement(_icons.DoneIcon, {
    size: size,
    color: selectedColor
  }) : renderUnselectedLeadingIcon());
};
exports.FilterChipLeadingIcon = FilterChipLeadingIcon;
//# sourceMappingURL=FilterChipLeadingIcon.component.js.map