"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Divider = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _divider = require("./divider.styles");
var _useTheme = require("../../theme/useTheme.hook");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const Divider = _ref => {
  let {
    horizontal = true,
    style,
    ...props
  } = _ref;
  const {
    outlineVariant
  } = (0, _useTheme.useTheme)();
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [horizontal ? _divider.styles.dividerHorizontal : _divider.styles.dividerVertical, {
      backgroundColor: outlineVariant
    }, style]
  }, props));
};
exports.Divider = Divider;
//# sourceMappingURL=Divider.component.js.map