"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = void 0;
var _reactNative = require("react-native");
const styles = _reactNative.StyleSheet.create({
  backdrop: {
    ..._reactNative.StyleSheet.absoluteFillObject
  },
  sideSheet: {
    position: 'absolute',
    right: 0,
    left: 0,
    bottom: 0,
    top: 0,
    overflow: 'hidden'
  },
  leftSideSheet: {
    borderTopRightRadius: 16,
    borderBottomRightRadius: 16
  },
  rightSideSheet: {
    borderTopLeftRadius: 16,
    borderBottomLeftRadius: 16
  }
});
exports.styles = styles;
//# sourceMappingURL=side-sheet.styles.js.map