"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateSliderRange = void 0;
const validateSliderRange = range => {
  if (range.length !== 2) {
    throw new Error('Range length must be equal 2');
  }
  if (range[0] > range[1]) {
    throw new Error('Min value must be less than or equal to max');
  }
};
exports.validateSliderRange = validateSliderRange;
//# sourceMappingURL=validate-slider-range.js.map