"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  Badge: true,
  Divider: true,
  NavBar: true,
  Slider: true,
  RangeSlider: true,
  InputChip: true,
  FilterChip: true,
  AssistChip: true,
  IconType: true,
  SuggestionChip: true,
  PrimaryTabs: true,
  SecondaryTabs: true,
  FilledTextInput: true,
  OutlinedTextInput: true,
  CenterAlignedTopAppBar: true,
  TopAppBar: true,
  TopAppBarSize: true,
  BottomAppBar: true,
  BottomSheet: true,
  SideSheet: true,
  Checkbox: true,
  Switch: true,
  RadioButton: true,
  FilledCard: true,
  OutlinedCard: true,
  ElevatedCard: true,
  Dialog: true,
  BasicDialog: true,
  FullScreenDialog: true,
  AnimationType: true,
  Snackbar: true,
  FloatingActionButton: true,
  FloatingActionButtonType: true,
  FloatingActionButtonSize: true,
  SegmentedButton: true,
  TextButton: true,
  TonalButton: true,
  FilledButton: true,
  ElevatedButton: true,
  OutlinedButton: true,
  TonalIconButton: true,
  FilledIconButton: true,
  StandartIconButton: true,
  OutlinedIconButton: true,
  CircularActivityIndicator: true,
  LinearActivityIndicator: true,
  ScrollDirection: true,
  materialTypography: true,
  useTypography: true,
  useTheme: true,
  LightTheme: true,
  DarkTheme: true,
  defaultThemeColors: true,
  buildThemesFromColors: true,
  MaterialComponentsProvider: true
};
Object.defineProperty(exports, "AnimationType", {
  enumerable: true,
  get: function () {
    return _FullScreenDialog.AnimationType;
  }
});
Object.defineProperty(exports, "AssistChip", {
  enumerable: true,
  get: function () {
    return _AssistChip.AssistChip;
  }
});
Object.defineProperty(exports, "Badge", {
  enumerable: true,
  get: function () {
    return _Badge.Badge;
  }
});
Object.defineProperty(exports, "BasicDialog", {
  enumerable: true,
  get: function () {
    return _BasicDialog.BasicDialog;
  }
});
Object.defineProperty(exports, "BottomAppBar", {
  enumerable: true,
  get: function () {
    return _BottomAppBar.BottomAppBar;
  }
});
Object.defineProperty(exports, "BottomSheet", {
  enumerable: true,
  get: function () {
    return _BottomSheet.BottomSheet;
  }
});
Object.defineProperty(exports, "CenterAlignedTopAppBar", {
  enumerable: true,
  get: function () {
    return _CenterAlignedTopAppBar.CenterAlignedTopAppBar;
  }
});
Object.defineProperty(exports, "Checkbox", {
  enumerable: true,
  get: function () {
    return _checkbox.Checkbox;
  }
});
Object.defineProperty(exports, "CircularActivityIndicator", {
  enumerable: true,
  get: function () {
    return _CircularActivityIndicator.CircularActivityIndicator;
  }
});
Object.defineProperty(exports, "DarkTheme", {
  enumerable: true,
  get: function () {
    return _buildTheme.DarkTheme;
  }
});
Object.defineProperty(exports, "Dialog", {
  enumerable: true,
  get: function () {
    return _Dialog.Dialog;
  }
});
Object.defineProperty(exports, "Divider", {
  enumerable: true,
  get: function () {
    return _Divider.Divider;
  }
});
Object.defineProperty(exports, "ElevatedButton", {
  enumerable: true,
  get: function () {
    return _ElevatedButton.ElevatedButton;
  }
});
Object.defineProperty(exports, "ElevatedCard", {
  enumerable: true,
  get: function () {
    return _ElevatedCard.ElevatedCard;
  }
});
Object.defineProperty(exports, "FilledButton", {
  enumerable: true,
  get: function () {
    return _FilledButton.FilledButton;
  }
});
Object.defineProperty(exports, "FilledCard", {
  enumerable: true,
  get: function () {
    return _FilledCard.FilledCard;
  }
});
Object.defineProperty(exports, "FilledIconButton", {
  enumerable: true,
  get: function () {
    return _FilledIconButton.FilledIconButton;
  }
});
Object.defineProperty(exports, "FilledTextInput", {
  enumerable: true,
  get: function () {
    return _FilledTextInput.FilledTextInput;
  }
});
Object.defineProperty(exports, "FilterChip", {
  enumerable: true,
  get: function () {
    return _FilterChip.FilterChip;
  }
});
Object.defineProperty(exports, "FloatingActionButton", {
  enumerable: true,
  get: function () {
    return _FloatingActionButton.FloatingActionButton;
  }
});
Object.defineProperty(exports, "FloatingActionButtonSize", {
  enumerable: true,
  get: function () {
    return _FloatingActionButton.FloatingActionButtonSize;
  }
});
Object.defineProperty(exports, "FloatingActionButtonType", {
  enumerable: true,
  get: function () {
    return _FloatingActionButton.FloatingActionButtonType;
  }
});
Object.defineProperty(exports, "FullScreenDialog", {
  enumerable: true,
  get: function () {
    return _FullScreenDialog.FullScreenDialog;
  }
});
Object.defineProperty(exports, "IconType", {
  enumerable: true,
  get: function () {
    return _AssistChip.IconType;
  }
});
Object.defineProperty(exports, "InputChip", {
  enumerable: true,
  get: function () {
    return _InputChip.InputChip;
  }
});
Object.defineProperty(exports, "LightTheme", {
  enumerable: true,
  get: function () {
    return _buildTheme.LightTheme;
  }
});
Object.defineProperty(exports, "LinearActivityIndicator", {
  enumerable: true,
  get: function () {
    return _LinearActivityIndicator.LinearActivityIndicator;
  }
});
Object.defineProperty(exports, "MaterialComponentsProvider", {
  enumerable: true,
  get: function () {
    return _MaterialComponents.MaterialComponentsProvider;
  }
});
Object.defineProperty(exports, "NavBar", {
  enumerable: true,
  get: function () {
    return _NavBar.NavBar;
  }
});
Object.defineProperty(exports, "OutlinedButton", {
  enumerable: true,
  get: function () {
    return _OutlinedButton.OutlinedButton;
  }
});
Object.defineProperty(exports, "OutlinedCard", {
  enumerable: true,
  get: function () {
    return _OutlinedCard.OutlinedCard;
  }
});
Object.defineProperty(exports, "OutlinedIconButton", {
  enumerable: true,
  get: function () {
    return _OutlinedIconButton.OutlinedIconButton;
  }
});
Object.defineProperty(exports, "OutlinedTextInput", {
  enumerable: true,
  get: function () {
    return _OutlinedTextInput.OutlinedTextInput;
  }
});
Object.defineProperty(exports, "PrimaryTabs", {
  enumerable: true,
  get: function () {
    return _PrimaryTabs.PrimaryTabs;
  }
});
Object.defineProperty(exports, "RadioButton", {
  enumerable: true,
  get: function () {
    return _RadioButton.RadioButton;
  }
});
Object.defineProperty(exports, "RangeSlider", {
  enumerable: true,
  get: function () {
    return _RangeSlider.RangeSlider;
  }
});
Object.defineProperty(exports, "ScrollDirection", {
  enumerable: true,
  get: function () {
    return _scrollDirection.ScrollDirection;
  }
});
Object.defineProperty(exports, "SecondaryTabs", {
  enumerable: true,
  get: function () {
    return _SecondaryTabs.SecondaryTabs;
  }
});
Object.defineProperty(exports, "SegmentedButton", {
  enumerable: true,
  get: function () {
    return _SegmentedButton.SegmentedButton;
  }
});
Object.defineProperty(exports, "SideSheet", {
  enumerable: true,
  get: function () {
    return _SideSheet.SideSheet;
  }
});
Object.defineProperty(exports, "Slider", {
  enumerable: true,
  get: function () {
    return _Slider.Slider;
  }
});
Object.defineProperty(exports, "Snackbar", {
  enumerable: true,
  get: function () {
    return _Snackbar.Snackbar;
  }
});
Object.defineProperty(exports, "StandartIconButton", {
  enumerable: true,
  get: function () {
    return _StandardIconButton.StandartIconButton;
  }
});
Object.defineProperty(exports, "SuggestionChip", {
  enumerable: true,
  get: function () {
    return _SuggestionChip.SuggestionChip;
  }
});
Object.defineProperty(exports, "Switch", {
  enumerable: true,
  get: function () {
    return _switch.Switch;
  }
});
Object.defineProperty(exports, "TextButton", {
  enumerable: true,
  get: function () {
    return _TextButton.TextButton;
  }
});
Object.defineProperty(exports, "TonalButton", {
  enumerable: true,
  get: function () {
    return _TonalButton.TonalButton;
  }
});
Object.defineProperty(exports, "TonalIconButton", {
  enumerable: true,
  get: function () {
    return _TonalIconButton.TonalIconButton;
  }
});
Object.defineProperty(exports, "TopAppBar", {
  enumerable: true,
  get: function () {
    return _TopAppBar.TopAppBar;
  }
});
Object.defineProperty(exports, "TopAppBarSize", {
  enumerable: true,
  get: function () {
    return _TopAppBar.TopAppBarSize;
  }
});
Object.defineProperty(exports, "buildThemesFromColors", {
  enumerable: true,
  get: function () {
    return _buildTheme.buildThemesFromColors;
  }
});
Object.defineProperty(exports, "defaultThemeColors", {
  enumerable: true,
  get: function () {
    return _buildTheme.defaultThemeColors;
  }
});
Object.defineProperty(exports, "materialTypography", {
  enumerable: true,
  get: function () {
    return _typography.materialTypography;
  }
});
Object.defineProperty(exports, "useTheme", {
  enumerable: true,
  get: function () {
    return _useTheme.useTheme;
  }
});
Object.defineProperty(exports, "useTypography", {
  enumerable: true,
  get: function () {
    return _useTypography.useTypography;
  }
});
var _icons = require("./components/icons");
Object.keys(_icons).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _icons[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _icons[key];
    }
  });
});
var _Badge = require("./components/badge/Badge.component");
var _Divider = require("./components/divider/Divider.component");
var _NavBar = require("./components/navigation/navigation-bar/NavBar.component");
var _Slider = require("./components/sliders/slider /Slider.component");
var _RangeSlider = require("./components/sliders/range-slider/RangeSlider.component");
var _InputChip = require("./components/chips/input-chip/InputChip.component");
var _FilterChip = require("./components/chips/filter-chip/FilterChip.component");
var _AssistChip = require("./components/chips/assist-chip/AssistChip.component");
var _SuggestionChip = require("./components/chips/suggestion-chip/SuggestionChip.component");
var _PrimaryTabs = require("./components/navigation/tabs/primary-tabs/PrimaryTabs.component");
var _SecondaryTabs = require("./components/navigation/tabs/secondary-tabs/SecondaryTabs.component");
var _FilledTextInput = require("./components/text-inputs/filled-text-input/FilledTextInput.component");
var _OutlinedTextInput = require("./components/text-inputs/outlined-text-input/OutlinedTextInput.component");
var _CenterAlignedTopAppBar = require("./components/app-bars/top-app-bars/center-aligned-top-app-bar/CenterAlignedTopAppBar.component");
var _TopAppBar = require("./components/app-bars/top-app-bars/top-app-bar/TopAppBar.component");
var _BottomAppBar = require("./components/app-bars/bottom-app-bar/BottomAppBar.component");
var _BottomSheet = require("./components/sheets/bottom-sheet/BottomSheet.component");
var _SideSheet = require("./components/sheets/side-sheet/SideSheet.component");
var _checkbox = require("./components/controls/checkbox/checkbox.component");
var _switch = require("./components/controls/switch/switch.component");
var _RadioButton = require("./components/controls/radio-button/RadioButton.component");
var _FilledCard = require("./components/cards/filled-card/FilledCard.component");
var _OutlinedCard = require("./components/cards/outlined-card/OutlinedCard.component");
var _ElevatedCard = require("./components/cards/elevated-card/ElevatedCard.cpmponent");
var _Dialog = require("./components/dialogs/dialog/Dialog.component");
var _BasicDialog = require("./components/dialogs/basic-dialog/BasicDialog.component");
var _FullScreenDialog = require("./components/dialogs/full-screen-dialog/FullScreenDialog.component");
var _Snackbar = require("./components/snackbar/Snackbar.component");
var _FloatingActionButton = require("./components/buttons/floating-action-button/FloatingActionButton.component");
var _SegmentedButton = require("./components/buttons/segmented-button/SegmentedButton.component");
var _TextButton = require("./components/buttons/common-buttons/text-button/TextButton.component");
var _TonalButton = require("./components/buttons/common-buttons/tonal-button/TonalButton.component");
var _FilledButton = require("./components/buttons/common-buttons/filled-button/FilledButton.component");
var _ElevatedButton = require("./components/buttons/common-buttons/elevated-button/ElevatedButton.component");
var _OutlinedButton = require("./components/buttons/common-buttons/outlined-button/OutlinedButton.component");
var _TonalIconButton = require("./components/buttons/icon-buttons/tonal-icon-button/TonalIconButton.component");
var _FilledIconButton = require("./components/buttons/icon-buttons/filled-icon-button/FilledIconButton.component");
var _StandardIconButton = require("./components/buttons/icon-buttons/standart-icon-button/StandardIconButton.component");
var _OutlinedIconButton = require("./components/buttons/icon-buttons/outlined-icon-button/OutlinedIconButton.component");
var _CircularActivityIndicator = require("./components/activity-indicators/circular-activity-indicator/CircularActivityIndicator.component");
var _LinearActivityIndicator = require("./components/activity-indicators/linear-activity-indicator/LinearActivityIndicator.component");
var _scrollDirection = require("./types/scroll-direction.type");
var _typography = require("./typography/typography.styles");
var _useTypography = require("./typography/useTypography.component");
var _useTheme = require("./theme/useTheme.hook");
var _buildTheme = require("./theme/build-theme");
var _MaterialComponents = require("./provider/MaterialComponents.context");
//# sourceMappingURL=index.js.map