function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { TouchableOpacity, Text } from 'react-native';
import { styles } from './common-button.styles';
import { useTypography } from '../../../../typography/useTypography.component';
const DEFAULT_ICON_SIZE = 18;
export const CommonButton = _ref => {
  let {
    title,
    StartIcon,
    EndIcon,
    titleStyle,
    iconProps = {},
    style,
    ...props
  } = _ref;
  const {
    labelLarge
  } = useTypography();
  const containerPaddingStart = StartIcon || EndIcon ? 16 : 24;
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    style: [styles.container, {
      paddingStart: containerPaddingStart
    }, style],
    hitSlop: 16
  }, props), StartIcon && /*#__PURE__*/React.createElement(StartIcon, _extends({
    size: DEFAULT_ICON_SIZE
  }, iconProps)), /*#__PURE__*/React.createElement(Text, {
    style: [labelLarge, titleStyle]
  }, title), EndIcon && /*#__PURE__*/React.createElement(EndIcon, _extends({
    size: DEFAULT_ICON_SIZE
  }, iconProps)));
};
//# sourceMappingURL=CommonButton.component.js.map