function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { TouchableOpacity } from 'react-native';
import { getIconButtonFrameStyles, styles } from './base-icon-button.styles';
const DEFAULT_SIZE = 40;
const ICON_SIZE_COEFF = 0.6;
export const BaseIconButton = _ref => {
  let {
    Icon,
    size = DEFAULT_SIZE,
    iconProps,
    style,
    ...props
  } = _ref;
  const otherIconProps = iconProps ? {
    ...iconProps
  } : {};
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    style: [styles.container, getIconButtonFrameStyles(size), style],
    hitSlop: 8
  }, props), /*#__PURE__*/React.createElement(Icon, _extends({
    size: size * ICON_SIZE_COEFF
  }, otherIconProps)));
};
//# sourceMappingURL=BaseIconButton.component.js.map