function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo } from 'react';
import { useTheme } from '../../../../theme/useTheme.hook';
import { convertToRGBA } from '../../../../utils/convert-to-rgba';
import { BaseIconButton } from '../base-icon-button/BaseIconButton.component';
export const StandartIconButton = _ref => {
  let {
    selected,
    Icon,
    selectedIcon,
    iconProps = {},
    ...props
  } = _ref;
  const {
    primary,
    surface
  } = useTheme();
  const disabledIconColor = useMemo(() => convertToRGBA(surface.text, 0.38), [surface.text]);
  const [iconColor, IconComponent] = selected ? [primary.background, selectedIcon ?? Icon] : [surface.textVariant, Icon];
  return /*#__PURE__*/React.createElement(BaseIconButton, _extends({
    Icon: IconComponent,
    iconProps: {
      color: props.disabled ? disabledIconColor : iconColor,
      ...iconProps
    }
  }, props));
};
//# sourceMappingURL=StandardIconButton.component.js.map