function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import { View } from 'react-native';
import React from 'react';
import { styles } from './outlined-card.styles';
import { useTheme } from '../../../theme/useTheme.hook';
export const OutlinedCard = _ref => {
  let {
    style,
    children,
    ...props
  } = _ref;
  const {
    surface,
    outlineVariant
  } = useTheme();
  return /*#__PURE__*/React.createElement(View, _extends({
    style: [styles.container, {
      backgroundColor: surface.background,
      borderColor: outlineVariant
    }, style]
  }, props), children);
};
//# sourceMappingURL=OutlinedCard.component.js.map