function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { TouchableOpacity, Text } from 'react-native';
import { styles } from './base-chip.styles';
import { useTypography } from '../../../typography/useTypography.component';
export const BaseChip = _ref => {
  let {
    label,
    leadingIcon,
    trailingIcon,
    labelStyle,
    style,
    ...props
  } = _ref;
  const {
    labelLarge
  } = useTypography();
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    style: [styles.container, style],
    hitSlop: 8
  }, props), leadingIcon, /*#__PURE__*/React.createElement(Text, {
    style: [[styles.label, labelLarge, labelStyle]]
  }, label), trailingIcon);
};
//# sourceMappingURL=BaseChip.component.js.map