import React from 'react';
import { type SharedValue } from 'react-native-reanimated';
import { type IconProps } from '../../../icons/icon-props';
import { ScrollDirection } from '../../../../types/scroll-direction.type';
import { type IconButtonProps } from '../../../buttons/icon-buttons/icon-button.types';
interface AnimatedBottomAppBarActionButtonProps<T extends IconProps> {
    index: number;
    bottomBarHeight: number;
    buttonProps: IconButtonProps<T>;
    animationDelay?: number;
    animationDumping?: number;
    scrollDirection?: SharedValue<ScrollDirection>;
}
export declare const AnimatedBottomAppBarActionButton: <T extends IconProps>({ index, buttonProps, bottomBarHeight, scrollDirection, animationDumping, animationDelay, }: AnimatedBottomAppBarActionButtonProps<T>) => React.JSX.Element;
export {};
//# sourceMappingURL=AnimatedBottomAppBarActionButton.component.d.ts.map