import React, { type PropsWithChildren } from 'react';
import { type ViewProps, type ColorValue } from 'react-native';
import { type SharedValue } from 'react-native-reanimated';
export interface BaseTopAppBarProps extends ViewProps {
    scrollStatus?: SharedValue<number>;
    defaultColor?: ColorValue;
    scrolledColor?: ColorValue;
    animationDuration?: number;
}
export declare const BaseTopAppBar: React.FC<PropsWithChildren<BaseTopAppBarProps>>;
//# sourceMappingURL=BaseTopAppBar.component.d.ts.map