import React from 'react';
import { type StyleProp, type TextStyle } from 'react-native';
import { type IconProps } from '../../../icons/icon-props';
import { type BaseTopAppBarProps } from '../base-top-app-bar/BaseTopAppBar.component';
export interface CenterAlignedTopAppBarProps<T extends IconProps> extends BaseTopAppBarProps {
    title: string;
    StartIcon?: React.FC;
    EndIcon?: React.FC;
    iconProps?: T;
    titleStyle?: StyleProp<TextStyle>;
}
export declare const CenterAlignedTopAppBar: <T extends IconProps>({ title, scrollStatus, EndIcon, StartIcon, iconProps, style, titleStyle, ...props }: CenterAlignedTopAppBarProps<T>) => React.JSX.Element;
//# sourceMappingURL=CenterAlignedTopAppBar.component.d.ts.map