import React from 'react';
import { type TouchableOpacityProps } from 'react-native';
import { type IconProps } from '../../../../types/icon-props.type';
export interface BaseIconButtonProps<T extends IconProps> extends TouchableOpacityProps {
    Icon: React.FC<T>;
    iconProps?: T;
    size?: number;
}
export declare const BaseIconButton: <T extends IconProps>({ Icon, size, iconProps, style, ...props }: BaseIconButtonProps<T>) => React.JSX.Element;
//# sourceMappingURL=BaseIconButton.component.d.ts.map