import React from 'react';
import { type ViewProps, type ColorValue } from 'react-native';
import { type AnimatedProps } from 'react-native-reanimated';
import { type IconProps } from '../../../icons/icon-props';
export interface FilterChipLeadingIconProps<T> extends AnimatedProps<ViewProps> {
    size: number;
    selected: boolean;
    color: ColorValue;
    selectedColor: ColorValue;
    leadingIconProps?: T;
    customLeadingIcon?: React.FC<T>;
}
export declare const FilterChipLeadingIcon: <T extends IconProps>({ size, color, selected, selectedColor, customLeadingIcon, leadingIconProps, }: FilterChipLeadingIconProps<T>) => React.JSX.Element;
//# sourceMappingURL=FilterChipLeadingIcon.component.d.ts.map