import React from 'react';
import { type IconProps } from '../../icons/icon-props';
import { type BaseChipProps } from '../base-chip/BaseChip.component';
export interface SuggestionChipProps<T extends IconProps> extends Omit<BaseChipProps, 'leadingIcon' | 'trailingIcon'> {
    elevated?: boolean;
    selected?: boolean;
    LeadingIcon?: React.FC<T>;
    TrailingIcon?: React.FC<T>;
    leadingIconProps?: T;
    trailingIconProps?: T;
}
export declare const SuggestionChip: <T extends IconProps>({ elevated, selected, LeadingIcon, TrailingIcon, leadingIconProps, trailingIconProps, style, labelStyle, disabled, ...props }: SuggestionChipProps<T>) => React.JSX.Element;
//# sourceMappingURL=SuggestionChip.component.d.ts.map