import React, { type ReactNode } from 'react';
import { type StyleProp, type ViewStyle, type TouchableOpacityProps, type ColorValue } from 'react-native';
export interface SwitchProps extends Omit<TouchableOpacityProps, 'onPress'> {
    value: boolean;
    labelEnd?: ReactNode;
    labelStart?: ReactNode;
    handleIcon?: ReactNode;
    hideIconOnSwitchOff?: boolean;
    handleActiveBorderColor?: ColorValue;
    handleInactiveBorderColor?: ColorValue;
    handleActiveBackgroundColor?: ColorValue;
    handleInactiveBackgroundColor?: ColorValue;
    trackActiveBorderColor?: ColorValue;
    trackInactiveBorderColor?: ColorValue;
    trackActiveBackgroundColor?: ColorValue;
    trackInactiveBackgroundColor?: ColorValue;
    animationDuration?: number;
    style?: StyleProp<ViewStyle>;
    trackStyle?: StyleProp<ViewStyle>;
    hanldeStyle?: StyleProp<ViewStyle>;
    onSwitch: (value: boolean) => void;
}
export declare const Switch: React.FC<SwitchProps>;
//# sourceMappingURL=switch.component.d.ts.map