import { type ViewProps } from 'react-native';
import React from 'react';
export interface DialogProps extends ViewProps {
    animationDuration?: number;
}
export interface DialogRef {
    show: () => void;
    close: () => void;
    isShowed: () => boolean;
}
export declare const Dialog: React.ForwardRefExoticComponent<DialogProps & {
    children?: React.ReactNode;
} & React.RefAttributes<DialogRef>>;
//# sourceMappingURL=Dialog.component.d.ts.map