import React from 'react';
import { type ViewProps } from 'react-native';
export declare enum AnimationType {
    SLIDE = "SLIDE",
    FADE = "FADE",
    ZOOM = "ZOOM"
}
interface Props extends ViewProps {
    animationDuration?: number;
    animationType?: AnimationType;
}
export interface FullScreenDialogRef {
    show: () => void;
    close: () => void;
    isShowed: () => boolean;
}
export declare const FullScreenDialog: React.ForwardRefExoticComponent<Props & {
    children?: React.ReactNode;
} & React.RefAttributes<FullScreenDialogRef>>;
export {};
//# sourceMappingURL=FullScreenDialog.component.d.ts.map