import React from 'react';
import { type TouchableOpacityProps } from 'react-native';
import { type NavBarRoute } from '../NavBar.component';
import { type IconProps } from '../../../icons/icon-props';
interface NavBarItemProps<T, Y> extends Omit<TouchableOpacityProps, 'onPress'> {
    route: NavBarRoute<T, Y>;
    focused: boolean;
    fixedLabelVisibility: boolean;
    focusAnimDuration?: number;
    onPress: (routeName: T) => void;
}
export declare const NavBarItem: <T extends string, Y extends IconProps>({ route, focused, fixedLabelVisibility, focusAnimDuration, onPress, style, ...props }: NavBarItemProps<T, Y>) => React.JSX.Element;
export {};
//# sourceMappingURL=NavBarItem.component.d.ts.map