import { type LayoutChangeEvent } from 'react-native';
import { type SharedValue } from 'react-native-reanimated';
import { type SliderConfig } from '../slider-config.type';
export declare const useRangeSlider: ({ max, min, step, damping }: SliderConfig, range: number[], onChangeRange?: ((range: number[]) => void) | undefined) => {
    gesture: import("react-native-gesture-handler/lib/typescript/handlers/gestures/panGesture").PanGesture;
    selectedRange: SharedValue<number[]>;
    thumbMinSliding: SharedValue<number>;
    thumbMaxSliding: SharedValue<number>;
    animMinValueProps: Partial<{
        text: string;
    }>;
    animMaxValueProps: Partial<{
        text: string;
    }>;
    filledTrackAnimatedStyle: {
        flex: number;
    };
    remainingTrackAfterAnimatedStyle: {
        flex: number;
    };
    remainingTrackBeforeAnimatedStyle: {
        flex: number;
    };
    setUpSliderLayout: (e: LayoutChangeEvent) => void;
    slideToTrackPoint: (pointValue: number) => void;
};
//# sourceMappingURL=useRangeSlider.hook.d.ts.map