import React from 'react';
import { type ViewProps, type StyleProp, type ViewStyle, type TextStyle } from 'react-native';
export interface SliderProps extends ViewProps {
    max: number;
    min: number;
    value?: number;
    step?: number;
    centered?: boolean;
    disabled?: boolean;
    damping?: number;
    valueHeight?: number;
    thumbWidthActive?: number;
    thumbWidthInactive?: number;
    thumbStyle?: StyleProp<ViewStyle>;
    valueStyle?: StyleProp<TextStyle>;
    indicatorStyle?: StyleProp<ViewStyle>;
    trackPointStyle?: StyleProp<ViewStyle>;
    trackPointsStyle?: StyleProp<ViewStyle>;
    filledTrackStyle?: StyleProp<ViewStyle>;
    remainingTrackStyle?: StyleProp<ViewStyle>;
    onChangeValue?: (value: number) => void;
}
export declare const Slider: React.FC<SliderProps>;
//# sourceMappingURL=Slider.component.d.ts.map