import React from 'react';
import { type AnimatedProps, type SharedValue } from 'react-native-reanimated';
import { type ViewProps, type TextInputProps, type StyleProp, type ViewStyle, type TextStyle } from 'react-native';
interface SliderIndicatorProps extends ViewProps {
    disabled: boolean;
    sliding: SharedValue<number>;
    animValueProps: AnimatedProps<Pick<TextInputProps, 'value' | 'defaultValue'>>;
    valueHeight?: number;
    thumbWidthActive?: number;
    thumbWidthInactive?: number;
    thumbStyle?: StyleProp<ViewStyle>;
    valueStyle?: StyleProp<TextStyle>;
}
export declare const SliderIndicator: React.FC<SliderIndicatorProps>;
export {};
//# sourceMappingURL=SliderIndicator.component.d.ts.map