import React from 'react';
import { type SharedValue } from 'react-native-reanimated';
import { type PressableProps, type StyleProp, type ViewStyle } from 'react-native';
interface SliderTrackProps extends Omit<PressableProps, 'onPress'> {
    value: number;
    disabled: boolean;
    selectedValue: SharedValue<number> | SharedValue<number[]>;
    style?: StyleProp<ViewStyle>;
    disableColorChange?: boolean;
    onPress: (value: number) => void;
}
export declare const SliderTrackPoint: React.FC<SliderTrackProps>;
export {};
//# sourceMappingURL=SliderTrackPoint.component.d.ts.map