import React from 'react';
import { TextInput, type StyleProp, type ViewStyle } from 'react-native';
import { type IconProps } from '../../icons/icon-props';
import type { TextInputProps } from '../text-input.types';
export interface FilledTextInputProps<T> extends TextInputProps<T> {
    activeIndicatorStyle?: StyleProp<ViewStyle>;
}
export declare const FilledTextInput: React.ForwardRefExoticComponent<FilledTextInputProps<IconProps> & React.RefAttributes<TextInput>>;
//# sourceMappingURL=FilledTextInput.component.d.ts.map