import React from 'react';
import { TextInput, type StyleProp, type ViewStyle } from 'react-native';
import { type IconProps } from '../../icons/icon-props';
import { type TextInputProps } from '../text-input.types';
export interface OutlinedTextInputProps<T> extends TextInputProps<T> {
    labelSlotStyle?: StyleProp<ViewStyle>;
}
export declare const OutlinedTextInput: React.ForwardRefExoticComponent<OutlinedTextInputProps<IconProps> & React.RefAttributes<TextInput>>;
//# sourceMappingURL=OutlinedTextInput.component.d.ts.map