import React, { type ReactNode } from 'react';
import type { Theme } from '../theme/theme.types';
import type { MaterialTypography } from '../typography/typography.types';
interface MaterialComponentsContextType {
    theme: Theme;
    typography: MaterialTypography;
}
export declare const MaterialComponentsContext: React.Context<MaterialComponentsContextType>;
export interface MaterialComponentsProviderProps {
    children: ReactNode;
    theme?: Theme;
    typography?: MaterialTypography;
}
export declare const MaterialComponentsProvider: React.FC<MaterialComponentsProviderProps>;
export {};
//# sourceMappingURL=MaterialComponents.context.d.ts.map