"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BaseIconButton = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _baseIconButton = require("./base-icon-button.styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const DEFAULT_SIZE = 40;
const ICON_SIZE_COEFF = 0.6;
const BaseIconButton = _ref => {
  let {
    Icon,
    size = DEFAULT_SIZE,
    iconProps,
    style,
    ...props
  } = _ref;
  const otherIconProps = iconProps ? {
    ...iconProps
  } : {};
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    style: [_baseIconButton.styles.container, (0, _baseIconButton.getIconButtonFrameStyles)(size), style],
    hitSlop: 8
  }, props), /*#__PURE__*/_react.default.createElement(Icon, _extends({
    size: size * ICON_SIZE_COEFF
  }, otherIconProps)));
};
exports.BaseIconButton = BaseIconButton;
//# sourceMappingURL=BaseIconButton.component.js.map