"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = void 0;
var _reactNative = require("react-native");
var _Tab = require("./Tab.component");
const styles = _reactNative.StyleSheet.create({
  container: {
    alignItems: 'center',
    justifyContent: 'center',
    paddingVertical: 14
  },
  [`badge${_Tab.TabType.PRIMATY}`]: {
    top: -2,
    zIndex: 1,
    position: 'absolute',
    alignSelf: 'flex-start'
  },
  [`badge${_Tab.TabType.SECONDARY}`]: {
    end: 4
  },
  [`innerContent${_Tab.TabType.PRIMATY}`]: {
    gap: 2,
    alignItems: 'center'
  },
  [`innerContent${_Tab.TabType.SECONDARY}`]: {
    gap: 8,
    flexDirection: 'row',
    alignItems: 'center'
  }
});
exports.styles = styles;
//# sourceMappingURL=tab.styles.js.map