"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = void 0;
var _reactNative = require("react-native");
const styles = _reactNative.StyleSheet.create({
  backdrop: {
    ..._reactNative.StyleSheet.absoluteFillObject
  },
  bottomSheet: {
    position: 'absolute',
    left: 0,
    right: 0,
    bottom: 0,
    borderTopLeftRadius: 28,
    borderTopRightRadius: 28,
    overflow: 'hidden'
  },
  header: {
    paddingVertical: 16
  },
  dragHandle: {
    alignSelf: 'center',
    width: 32,
    height: 4,
    borderRadius: 100
  }
});
exports.styles = styles;
//# sourceMappingURL=bottom-sheet.styles.js.map