"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTextInputActiveColors = void 0;
var _textInput = require("./text-input.types");
const getTextInputActiveColors = (theme, primaryColorBasedOnError, surfaceVariantColorBasedOnError) => ({
  [_textInput.TextInputColors.VALUE_COLOR]: theme.surface.text,
  [_textInput.TextInputColors.CONTAINER_COLOR]: theme.surfaceContainer.backgroundHighest,
  [_textInput.TextInputColors.SELECTION_COLOR]: primaryColorBasedOnError,
  [_textInput.TextInputColors.PLACEHOLDER_COLOR]: theme.surface.textVariant,
  [_textInput.TextInputColors.LABEL_FOCUSED_COLOR]: primaryColorBasedOnError,
  [_textInput.TextInputColors.TRAILING_ICON_COLOR]: surfaceVariantColorBasedOnError,
  [_textInput.TextInputColors.LEADING_ICON_COLOR]: theme.surface.textVariant,
  [_textInput.TextInputColors.LABEL_UNFOCUSED_COLOR]: surfaceVariantColorBasedOnError,
  [_textInput.TextInputColors.SUPPORING_TEXT_COLOR]: surfaceVariantColorBasedOnError,
  [_textInput.TextInputColors.ACTIVE_INDICATOR_FOCUSED_COLOR]: primaryColorBasedOnError,
  [_textInput.TextInputColors.ACTIVE_INDICATOR_UNFOCUSED_COLOR]: surfaceVariantColorBasedOnError
});
exports.getTextInputActiveColors = getTextInputActiveColors;
//# sourceMappingURL=get-text-input-active-colors.js.map