"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTextInputDisabledColors = void 0;
var _textInput = require("./text-input.types");
const getTextInputDisabledColors = (disabledOnContainerColor, disabledContaienerColor) => {
  const colors = Object.values(_textInput.TextInputColors).reduce((acc, key) => {
    acc[key] = disabledOnContainerColor;
    return acc;
  }, {});
  colors[_textInput.TextInputColors.CONTAINER_COLOR] = disabledContaienerColor;
  return colors;
};
exports.getTextInputDisabledColors = getTextInputDisabledColors;
//# sourceMappingURL=get-text-input-disabled-colors.js.map