function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import Animated, { FadeIn, FadeOut } from 'react-native-reanimated';
import { DoneIcon } from '../../../icons';
export const FilterChipLeadingIcon = _ref => {
  let {
    size,
    color,
    selected,
    selectedColor,
    customLeadingIcon,
    leadingIconProps = {}
  } = _ref;
  const CustomLeadingIcon = customLeadingIcon;
  const renderUnselectedLeadingIcon = () => CustomLeadingIcon ? /*#__PURE__*/React.createElement(CustomLeadingIcon, _extends({
    size: size,
    color: color
  }, leadingIconProps)) : null;
  return /*#__PURE__*/React.createElement(Animated.View, {
    entering: FadeIn,
    exiting: FadeOut
  }, selected ? /*#__PURE__*/React.createElement(DoneIcon, {
    size: size,
    color: selectedColor
  }) : renderUnselectedLeadingIcon());
};
//# sourceMappingURL=FilterChipLeadingIcon.component.js.map