function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { View } from 'react-native';
import { styles } from './divider.styles';
import { useTheme } from '../../theme/useTheme.hook';
export const Divider = _ref => {
  let {
    horizontal = true,
    style,
    ...props
  } = _ref;
  const {
    outlineVariant
  } = useTheme();
  return /*#__PURE__*/React.createElement(View, _extends({
    style: [horizontal ? styles.dividerHorizontal : styles.dividerVertical, {
      backgroundColor: outlineVariant
    }, style]
  }, props));
};
//# sourceMappingURL=Divider.component.js.map