import { TextInputColors } from './text-input.types';
export const getTextInputDisabledColors = (disabledOnContainerColor, disabledContaienerColor) => {
  const colors = Object.values(TextInputColors).reduce((acc, key) => {
    acc[key] = disabledOnContainerColor;
    return acc;
  }, {});
  colors[TextInputColors.CONTAINER_COLOR] = disabledContaienerColor;
  return colors;
};
//# sourceMappingURL=get-text-input-disabled-colors.js.map