import React from 'react';
import { type StyleProp, type TextStyle, type TouchableOpacityProps } from 'react-native';
import { type IconProps } from '../../../icons/icon-props';
export interface CommonButtonProps<T extends IconProps> extends TouchableOpacityProps {
    title: string;
    titleStyle?: StyleProp<TextStyle>;
    StartIcon?: React.FC<T>;
    EndIcon?: React.FC<T>;
    iconProps?: T;
}
export declare const CommonButton: <T extends IconProps>({ title, StartIcon, EndIcon, titleStyle, iconProps, style, ...props }: CommonButtonProps<T>) => React.JSX.Element;
//# sourceMappingURL=CommonButton.component.d.ts.map