import React from 'react';
import { type IconProps } from '../../icons/icon-props';
import { type BaseChipProps } from '../base-chip/BaseChip.component';
export interface FilterChipProps<T extends IconProps> extends Omit<BaseChipProps, 'leadingIcon' | 'trailingIcon'> {
    elevated?: boolean;
    selected?: boolean;
    loading?: boolean;
    LeadingIcon?: React.FC<T>;
    TrailingIcon?: React.FC<T>;
    leadingIconProps?: T;
    trailingIconProps?: T;
    iconSize?: number;
    activityIndicatorSize?: number;
}
export declare const FilterChip: <T extends IconProps>({ elevated, selected, loading, LeadingIcon, TrailingIcon, leadingIconProps, trailingIconProps, iconSize, activityIndicatorSize, style, labelStyle, disabled, ...props }: FilterChipProps<T>) => React.JSX.Element;
//# sourceMappingURL=FilterChip.component.d.ts.map