import { type Theme } from '../../../theme/theme.types';
export declare const styles: {
    outlinedContainer: {
        borderWidth: number;
    };
    elevatedContainer: {
        shadowOffset: {
            width: number;
            height: number;
        };
        shadowOpacity: number;
        shadowRadius: number;
        elevation: number;
    };
};
export declare const getDynamicStyles: (selected: boolean, elevated: boolean, disabled: boolean, theme: Theme) => {
    label: {
        color: import("react-native").ColorValue;
    };
    container: {
        borderColor: import("react-native").ColorValue;
        backgroundColor: import("react-native").ColorValue;
        borderWidth?: undefined;
    };
    icon: {
        color: import("react-native").ColorValue;
    };
    selectedIcon: {
        color: import("react-native").ColorValue;
    };
} | {
    label: {
        color: import("react-native").ColorValue;
    };
    container: {
        borderColor: import("react-native").ColorValue;
        borderWidth: number;
        backgroundColor: import("react-native").ColorValue;
    };
    icon: {
        color: import("react-native").ColorValue;
    };
    selectedIcon: {
        color: import("react-native").ColorValue;
    };
};
//# sourceMappingURL=filter-chip.styles.d.ts.map