import React from 'react';
import { type IconProps } from '../../icons/icon-props';
import { type BaseChipProps } from '../base-chip/BaseChip.component';
export interface InputChipProps<T extends IconProps> extends Omit<BaseChipProps, 'leadingIcon' | 'trailingIcon'> {
    selected?: boolean;
    imageUrl?: string;
    LeadingIcon?: React.FC<T>;
    TrailingIcon?: React.FC<T>;
    leadingIconProps?: T;
    trailingIconProps?: T;
    hasDefaultTrailingIcon?: boolean;
    iconSize?: number;
}
export declare const InputChip: <T extends IconProps>({ selected, LeadingIcon, TrailingIcon, imageUrl, leadingIconProps, trailingIconProps, hasDefaultTrailingIcon, style, labelStyle, iconSize, ...props }: InputChipProps<T>) => React.JSX.Element;
//# sourceMappingURL=InputChip.component.d.ts.map