import React, { type ReactNode } from 'react';
import { type StyleProp, type TextStyle, type ViewProps } from 'react-native';
import { type DialogRef } from '../dialog/Dialog.component';
export interface BasicDialogProps extends ViewProps {
    append?: ReactNode;
    prepend?: ReactNode;
    title?: string;
    subtitle?: string;
    firstActionTitle?: string;
    secondActionTitle?: string;
    titleStyle?: StyleProp<TextStyle>;
    subtitleStyle?: StyleProp<TextStyle>;
    onFirstActionPress?: () => void;
    onSecondActionPress?: () => void;
}
export declare const BasicDialog: React.ForwardRefExoticComponent<BasicDialogProps & React.RefAttributes<DialogRef>>;
//# sourceMappingURL=BasicDialog.component.d.ts.map