import type { StyleProp } from 'react-native';
import React, { type ReactNode } from 'react';
import { type ViewProps, type ViewStyle } from 'react-native';
export interface BottomSheetRef {
    toggle: () => void;
    expand: () => void;
}
export interface BottomSheetProps extends ViewProps {
    header?: ReactNode;
    children?: ReactNode;
    modalHeightCoeff?: number;
    animationDuration?: number;
    headerStyle?: StyleProp<ViewStyle>;
    backdropStyle?: StyleProp<ViewStyle>;
    dragHandleStyle?: StyleProp<ViewStyle>;
}
export declare const BottomSheet: React.ForwardRefExoticComponent<BottomSheetProps & React.RefAttributes<BottomSheetRef>>;
//# sourceMappingURL=BottomSheet.component.d.ts.map