import type { StyleProp } from 'react-native';
import React, { type ReactNode } from 'react';
import { type ViewProps, type ViewStyle } from 'react-native';
export interface SideSheetRef {
    toggle: () => void;
}
export type StickySide = 'left' | 'right';
export interface SideSheetProps extends ViewProps {
    children?: ReactNode;
    stickySide?: StickySide;
    modalWidthCoeff?: number;
    animationDuration?: number;
    backdropStyle?: StyleProp<ViewStyle>;
}
export declare const SideSheet: React.ForwardRefExoticComponent<SideSheetProps & React.RefAttributes<SideSheetRef>>;
//# sourceMappingURL=SideSheet.component.d.ts.map