import React from 'react';
import { type ViewProps, type StyleProp, type ViewStyle, type TextStyle } from 'react-native';
export interface RangeSliderProps extends ViewProps {
    max: number;
    min: number;
    range?: number[];
    step?: number;
    damping?: number;
    centered?: boolean;
    disabled?: boolean;
    valueHeight?: number;
    thumbWidthActive?: number;
    thumbWidthInactive?: number;
    thumbStyle?: StyleProp<ViewStyle>;
    valueStyle?: StyleProp<TextStyle>;
    indicatorStyle?: StyleProp<ViewStyle>;
    trackPointStyle?: StyleProp<ViewStyle>;
    trackPointsStyle?: StyleProp<ViewStyle>;
    filledTrackStyle?: StyleProp<ViewStyle>;
    remainingTrackStyle?: StyleProp<ViewStyle>;
    onChangeRange?: (range: number[]) => void;
}
export declare const RangeSlider: React.FC<RangeSliderProps>;
//# sourceMappingURL=RangeSlider.component.d.ts.map