import { type SliderConfig } from '../slider-config.type';
export declare const useSlider: ({ max, min, step, damping }: SliderConfig, value: number, onChangeValue?: ((value: number) => void) | undefined) => {
    gesture: import("react-native-gesture-handler/lib/typescript/handlers/gestures/panGesture").PanGesture;
    sliding: import("react-native-reanimated").SharedValue<number>;
    animValueProps: Partial<{
        text: string;
    }>;
    selectedValue: import("react-native-reanimated").SharedValue<number>;
    filledTrackAnimatedStyle: {
        flex: number;
    };
    remainingTrackAnimatedStyle: {
        flex: number;
    };
    slideToTrackPoint: (pointValue: number) => void;
    setUpSliderLayout: (width: number) => void;
};
//# sourceMappingURL=useSlider.hook.d.ts.map