/// <reference types="react" />
import { TextInput, type TextInputProps, type NativeSyntheticEvent, type TextInputFocusEventData } from 'react-native';
interface useTextInputFocusParams extends Pick<TextInputProps, 'onFocus' | 'onBlur'> {
    inputRef: React.MutableRefObject<TextInput>;
}
export declare const useTextInputFocus: ({ inputRef, onFocus, onBlur }: useTextInputFocusParams) => {
    focusAnim: import("react-native-reanimated").SharedValue<number>;
    focusAnimRange: number[];
    focusInput: () => void;
    onInputBlur: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    onInputFocus: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
};
export {};
//# sourceMappingURL=use-text-input-focus-anim.hook.d.ts.map